Home: Principal
Welcome to: Bem vindo ao
Our: Nosso
Restaurant: Restaurante
HAVE YOUR MEAL AT THE SAFEST RESTAURANT IN THE REGION: TENHA A SUA REFEIÇÃO  NO RESTAURANTE MAIS SEGURO DA REGIÃO
WE COMPLY WITH ALL SANITARY REQUIREMENTS - COVID-19: CUMPRIMOS COM TODAS AS EXIGENCIAS SANITARIAS – COVID-19
Our Founder: Nosso Manager
WHERE THE TRADITION, THE SEA, THE BARROCAL AND THE SERRA CROSS IN A KITCHEN WITH SOUL: ONDE A TRADIÇÃO, O MAR, O BARROCAL E A SERRA SE CRUZAM NUMA COZINHA COM ALMA
Delightful: Deliciosa
Experience: Experiência
THE SEA IS THE SEASON OF LIFE: O MAR É O TEMPERO DA VIDA
Bread / Butter / Preserves: Pão / Manteiga / Conservas
Mixed Spring Salad: Salada Mista Primavera
Roast Beef with Arabic Rice: Carne Assada c/ Arroz Árabe
Fruit salad: Salada de Frutas
Wines - White or Red (Bottle): Vinhos - Branco ou Tinto (Garrafa)
Water or Juice: Água ou Sumo
Coffee / Amarguinha: Café / Amarguinha
Frade Bean Bread / Salad with Tuna: Pão / Salada de Feijão Frade c/Atum
Fisherman's Fish Soup: Sopa de Peixe À Pescador
Cherne Fillets with Shrimp Sauce: Filetes de Cherne c/ Molho de Camarão
Orange pie: Torta de Laranja
Bread / Olives Vinaigrette / Pastes: Pão / Azeitonas Vinagrete / Pastas
Gratin Fish Sauces (Á Casa) w / Rice and Vegetables: Tranchas de Peixe Gratinadas (Á Casa) c/Arroz e Legumes
Almond Pie: Torta de Amêndoa
Codfish Braz: Bacalhau À Bráz
Bread / Butter / Black Bean Salad w / preserves: Pão / Manteiga / Salada de Feijão-frade C/conservas
Breaded Fish Fillet, w / Vegetable Rice, Salad and Shrimp Sauce: Filete de Peixe panado, c/arroz de legumes, Salada e Molho de Camarão
Flan Pudding “À Casa”: Pudim Flan “À Casa”
Baked cod with roasted potatoes: Bacalhau Assado com batata a murro
Corvina in the oven with potatoes: Corvina no Forno com batatas
Bream / Sea Bass with Potatoes: Dourada / Robalo no Forno com batatas
Home Mixed Salad: Salada Mista À Telheiro
Pork Piano À Telheiro with Homemade Potato: Piano de Porco À Telheiro com batata Caseira
Chambão de Borrego À Telheiro with homemade potato: Chambão de Borrego À Telheiro com batata Caseira
Telheiro Roast Chicken with French Fries: Frango Assado À Telheiro com batata Frita
Thank you for contact us, we answer you soon as possible.: Obrigado por entrar em contato, responderemos o mais breve possível.
Send: Enviar
Thank You for your reservation, see you soon.: Obrigado por sua reserva, até já...
Gallery: Galeria
Group Options: Opções para Grupos
Where to find us: Onde nos encontrar
News: Notícias
Call Us: Ligar
Reservation: Reservar
Contacts: Contactos
Read More: Ler Mais